import os
from setuptools import setup


def read(fname):
    try:
        return open(os.path.join(os.path.dirname(__file__), fname)).read()
    except IOError:
        return ''


setup(
    name='pgdatalogger',
    version='0.1.1',
    description='Логер изменения данных в базе данных PostgreSQL',
    license='MIT',
    author='BARS Group',
    author_email='kirov@bars.group',
    url="https://stash.bars-open.ru/projects/BUDG/repos/pgdatalogger",
    classifiers=[
        'Intended Audience :: Developers',
        'Environment :: Web Environment',
        'Natural Language :: Russian',
        'Natural Language :: English',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'License :: OSI Approved :: MIT License',
        'Development Status :: 5 - Production/Stable',
    ],
    packages=['pgdatalogger'],
    include_package_data=True,
    long_description=read('README.md'),
    install_requires=[
        'psycopg2==2.8.3',
    ],
    entry_points = {
        'console_scripts': ['pgdatalogger=pgdatalogger.start:main'],
    }
)